darcs

Issue 2697 amend --unrecord should move unrecorded changes to pending

Title amend --unrecord should move unrecorded changes to pending
Priority Status resolved
Milestone Resolved in
Superseder Nosy List bf
Assigned To
Topics

Created on 2023-02-20.19:18:10 by bf, last changed 2023-03-27.14:58:06 by bf.

Messages
msg23113 (view) Author: bf Date: 2023-02-20.19:18:08
Changes like replace, addfile, etc are currently not preserved in 
pending but discarded. This is especially bad when unrecording 
replace patches, since they are not so easy to restore.

I wasn't able to track this one down, other than that it worked in 
darcs-2.14, but no longer in darcs-2.16.

Here is a simple test:

darcs init
echo bla > bla
darcs record -lam 'bla'
echo yyy | darcs amend --unrecord -a bla
darcs whatsnew > new
grep 'addfile ./bla' new
msg23118 (view) Author: bf Date: 2023-02-21.20:22:09
A fix for this is now in screened.
msg23119 (view) Author: bf Date: 2023-02-21.20:23:07
see patch2278
History
Date User Action Args
2023-02-20 19:18:10bfcreate
2023-02-21 20:22:09bfsetstatus: unknown -> has-patch
messages: + msg23118
2023-02-21 20:23:07bfsetmessages: + msg23119
2023-03-27 14:58:06bfsetstatus: has-patch -> resolved